version: "3.4"
x-environment:
  &PLAID_MICROSERVICE_ENV # Read from .env file which can be overridden by shell environment variables
  PLAID_CLIENT_ID: ${PLAID_CLIENT_ID}
  PLAID_SECRET: ${PLAID_SECRET}
  PLAID_ENV: ${PLAID_ENV}
  PLAID_PRODUCTS: ${PLAID_PRODUCTS}
  PLAID_COUNTRY_CODES: ${PLAID_COUNTRY_CODES}
  PLAID_REDIRECT_URI: ${PLAID_REDIRECT_URI}
services:
  node:
    networks:
      - "plaid_network"
    build:
      context: .
      dockerfile: ./Dockerfile
    ports: ["8000:8000"]
    environment:
      <<: *PLAID_MICROSERVICE_ENV
networks:
  plaid_network:
    name: plaid_network
